@echo off
cd /d "%~d0" 1>nul 2>&1
cd "%~p0..\tool\" 1>nul 2>&1


set TEMP_DIR=TEMP\MOVIE_CHECK
if not exist %TEMP_DIR% (
  mkdir %TEMP_DIR%
)

set PLAYER_MODE=ZERO
set TEMP_FILE=%TEMP_DIR%\temp.txt
set INFO_AVS=%TEMP_DIR%\information.avs
set HTML_FILE1=Zero_player.html
set HTML_FILE2=Harajyuku_player.html
set MOVIE_FILE=%~dp1%~nx1
set SIZE_JS=size.js

echo;
echo ^>^>HTML %PROCESS_ANNOUNCE%
echo;

.\MediaInfo.exe --Inform=Video;%%Width%% --LogFile=%TEMP_FILE% "%MOVIE_FILE%">nul
for /f %%i in (%TEMP_FILE%) do set IN_WIDTH=%%i
.\MediaInfo.exe --Inform=Video;%%Height%% --LogFile=%TEMP_FILE% "%MOVIE_FILE%">nul
for /f %%i in (%TEMP_FILE%) do set IN_HEIGHT=%%i
.\MediaInfo.exe --Inform=Video;%%DisplayAspectRatio/String%% --LogFile=%TEMP_FILE% "%MOVIE_FILE%">nul
for /f %%i in (%TEMP_FILE%) do set ASPECT=%%i
.\MediaInfo.exe --Inform=Video;%%Duration/String3%% --LogFile=%TEMP_FILE% "%MOVIE_FILE%">nul
for /f %%i in (%TEMP_FILE%) do set DURATION=%%i

.\MediaInfo.exe --Inform=General;%%Duration%% --LogFile=%TEMP_FILE% "%MOVIE_FILE%">nul
for /f "delims=." %%i in (%TEMP_FILE%) do set TOTAL_TIME=%%i

.\MediaInfo.exe --Inform=Video;%%FrameRate/String%% --LogFile=%TEMP_FILE% "%MOVIE_FILE%">nul
for /f %%i in (%TEMP_FILE%) do set FPS=%%i

.\MediaInfo.exe --Inform=Video;%%BitRate%% --LogFile=%TEMP_FILE% "%MOVIE_FILE%">nul
for /f %%i in (%TEMP_FILE%) do set /a V_BITRATE=(%%i+500)/1000
.\MediaInfo.exe --Inform=Audio;%%BitRate%% --LogFile=%TEMP_FILE% "%MOVIE_FILE%">nul
for /f %%i in (%TEMP_FILE%) do set /a A_BITRATE=(%%i+500)/1000
.\MediaInfo.exe --Inform=General;%%FileSize%% --LogFile=%TEMP_FILE% "%MOVIE_FILE%">nul
for /f %%i in (%TEMP_FILE%) do set SIZE=%%i

(
    echo BlankClip^(length=1, width=32, height=32^)
    echo;
    echo _effective_bitrate = String^(Floor^(Float^(%SIZE%^) * 8 / Floor^(%TOTAL_TIME% / 1000^) / 1000 ^)^)
    echo WriteFileStart^("effective_bitrate.txt","_effective_bitrate",append = false^)
    echo;
    echo return last
)> %INFO_AVS%
.\avs2pipe_gcc.exe info %INFO_AVS% 1>nul 2>&1
for /f "delims=" %%i in (%TEMP_DIR%\effective_bitrate.txt) do set /a T_BITRATE=%%i>nul

(
  echo var n = %SIZE%/1024.0/1024.0;
  echo n = n * 100;
  echo n = Math.floor^(n^);
  echo n = n / 100;
  echo document.write^(n^);
 )> %SIZE_JS%


:Zero
set /a PLAYER_HEIGHT=486+24
set /a PLAYER_WIDTH=864
set /a TABLE_WIDTH=908

(
  echo ^<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"^>
  echo ^<html lang="ja"^>
  echo ^<head^>
  echo ^<meta http-equiv="Content-type" content="text/html; charset=Shift_JIS"^>
  echo ^<meta http-equiv="Pragma" content="no-cache"^>
  echo ^<meta http-equiv="Cache-Control" content="no-cache"^>
  echo ^<meta http-equiv="Expires" content="0"^>
  echo ^<title^>%~xn1^</title^>
  echo ^<meta http-equiv="Content-Style-Type" content="text/css"^>
  echo ^</head^>
  echo;
  echo ^<center^>
  echo ^<body bgcolor="#000000" text="#FFFFFF" link="#0F9FDB" vlink="#0F9FDB" alink="#0F88AA"^>
  echo ^<table border^>
  echo ^<tr^>^<td width="%TABLE_WIDTH%px"^>
  echo ^<center^>
  echo ^<font size="5" color="#F5C92E"^>%~nx1^</font^>^<br /^>
  echo ^̃`FbN͑̃vC[Ȃ̃vC[Ń`FbNĂˁI
  echo ^<script type='text/javascript' src='swfobject.js'^>^</script^>
  echo ^<div id='mediaspace'^>vC[\Ȃꍇ͏o[NbNăvOĂ^</div^>
  echo;
  echo ^<script type='text/javascript'^>
  echo   var so = new SWFObject^('player-viral.swf','mpl','%PLAYER_WIDTH%','%PLAYER_HEIGHT%','9'^);
  echo   so.addParam^('allowfullscreen','true'^);
  echo   so.addParam^('allowscriptaccess','always'^);
  echo   so.addParam^('wmode','opaque'^);
  echo   so.addVariable^('file',"file:///%MOVIE_FILE:\=/%"^);
  echo   so.addVariable^('volume','50'^);
  echo   so.addVariable^('stretching','uniform'^);
rem  echo   so.addVariable^('autostart','true'^);
  echo   so.write^('mediaspace'^);
  echo ^</script^>
  echo;
  echo ^<h6^>Powered by ^<a href="http://www.longtailvideo.com/players/jw-flv-player/" target="_blank"^>JW Player^</a^>^</h6^>
  echo;
  echo ^<hr^>
  echo;
  echo ^<div class="table"^>
  echo ^<table border=2 summary=""^>
  echo   ^<caption^>^<h3^>^</h3^>^</caption^>
  echo   ^<tr align=center^>
  echo  ^<td^>t@C
  echo  ^<td^>%~nx1
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo   ^<td^>tH_
  echo   ^<td^>%~dp1
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>𑜓x
  echo   ^<td^>%IN_WIDTH%x%IN_HEIGHT%
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>AXyNg
  echo  ^<td^>%ASPECT%
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>Đ
  echo  ^<td^>%DURATION%
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>t[[g
  echo  ^<td^>%FPS%fps
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>rbg[g
  echo  ^<td^>%T_BITRATE%kbps ^(f%V_BITRATE%kbpsA%A_BITRATE%kbps^)
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>t@Ce
  echo  ^<td^>^<script type="text/javascript" src="%SIZE_JS%"^>^</script^>MB
  echo   ^</tr^>
  echo ^</table^>
  echo ^</div^>
  echo YĂꍇ́Ảwavt@Cp^<br^>
  echo wavGR[hĂłmp4ƈꏏɁyɓD^&amp^;Dz.batɃhbvĂˁB^<br^>
  echo ̎AvZbgsIƎԂZkłB^<br^>
  echo ^<hr^>
  echo ^</center^>
  echo;
  echo ^</td^>
  echo ^<td class="menu" valign="top" width="220"^>
  echo ^<p^>^<a href="%HTML_FILE2%"^>ho[WɕύX^</a^>^</p^>
  echo ̃vC[͎኱JNJN邯ǃjRjRƁuقځvI^<br^>
  echo iԂmF@͂ςjRjRւ̉Abv[hȂ񂾂ǂˁj^<br^>
  echo  ㉺Eɍ̈悪ꍇ邯ǃvC[̎dlCɂȂł
  echo ^<hr^>
  echo ^<center^>QlNW^</center^>
  echo ^<ul style="layout-grid-line: 0.5em;"^>
  echo ^<li^>^<a href="http://www43.atwiki.jp/tdenc/" target="_blank" class="new"^>ł񂱂܂Ƃwiki^</a^>^</li^>
  echo ^<li^>^<a href="http://nicowiki.com/" target="_blank" class="new"^>jRjR܂Ƃwiki^</a^>^</li^>
  echo ^<li^>^<a href="http://help.nicovideo.jp/cat22/" title="擊eɂ - jRjR wv" target="_blank" class="new"^>jRjR ewv^</a^>^</li^>
  echo ^<li^>^<a href="http://bit.ly/JjTkTp" title="YouTube :𑜓xƃrbg[g  " target="_blank" class="new"^>YouTube 𑜓x ^</a^>^</li^>
  echo ^<li^>^<a href="http://nikokara.web.fc2.com/encode2.html" title="ԐF̗򉻂ɂ - ۂՂ̎" target="_blank" class="new"^>MP4̐ԐF򉻖^</a^>^</li^>
  echo ^<li^>^<a href="http://togetter.com/li/287345" title="ł񂱍ŏIŃ[XƃGR[hɊւ邠ꂱ - togetter" target="_blank" class="new"^>Krbg[gƂ^</a^>^</li^>
  echo ^<li^>^<a href="http://goldenhige.cocolog-nifty.com/blog/2012/04/flashplayer1122.html" title="FlashPlayer11.2.202.228ŔƑΏ@ - ܂悤̕E" target="_blank" class="new"^>FlashPlayer̍ĐƑΏ@^</a^>^</li^>
  echo ^<li^>^<a href="http://chround30.blog.fc2.com/blog-entry-18.html" title="ł񂱂gpȒPȉ̂Ă݂쐬菇 - p_CXPW" target="_blank" class="new"^>ł񂱂gpȒPȉ̂Ă݂쐬菇^</a^>^</li^>
  echo ^</ul^>
  echo ^</td^>
  echo ^</table^>
  echo ^</center^>
  echo;
  echo ^<center^>
  echo ^<FORM^>^<TEXTAREA rows="2" cols="120" onmouseover="this.select()"^>%MOVIE_FILE%^</TEXTAREA^>^</FORM^>
  echo ^<p^>^<a href="http://www.upload.nicovideo.jp/upload" target="_blank"^>jRjRɓ𓊍e^</a^>^</p^>
  echo ^</center^>
  echo;
  echo ^</body^>
  echo ^</html^>
)> %HTML_FILE1%

:OLD
set /a PLAYER_HEIGHT=384+24
set /a PLAYER_WIDTH=640
set /a TABLE_WIDTH=640+10

(
  echo ^<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"^>
  echo ^<html lang="ja"^>
  echo ^<head^>
  echo ^<meta http-equiv="Content-type" content="text/html; charset=Shift_JIS"^>
  echo ^<meta http-equiv="Pragma" content="no-cache"^>
  echo ^<meta http-equiv="Cache-Control" content="no-cache"^>
  echo ^<meta http-equiv="Expires" content="0"^>
  echo ^<title^>%~xn1^</title^>
  echo ^<meta http-equiv="Content-Style-Type" content="text/css"^>
  echo ^</head^>
  echo;
  echo ^<center^>
  echo ^<body bgcolor="#ffeaea" text="#000000" link="#0000ff" vlink="#800080" alink="#ff0000"^>
  echo ^<table border^>
  echo ^<tr^>^<td width="%TABLE_WIDTH%px"^>
  echo ^<center^>
  echo ^<font size="5"^>%~nx1^</font^>^<br /^>
  echo ^̃`FbN͑̃vC[Ȃ̃vC[Ń`FbNĂˁI
  echo ^<script type='text/javascript' src='swfobject.js'^>^</script^>
  echo ^<div id='mediaspace'^>vC[\Ȃꍇ͏o[NbNăvOĂ^</div^>
  echo;
  echo ^<script type='text/javascript'^>
  echo   var so = new SWFObject^('player-viral.swf','mpl','%PLAYER_WIDTH%','%PLAYER_HEIGHT%','9'^);
  echo   so.addParam^('allowfullscreen','true'^);
  echo   so.addParam^('allowscriptaccess','always'^);
  echo   so.addParam^('wmode','opaque'^);
  echo   so.addVariable^('file',"file:///%MOVIE_FILE:\=/%"^);
  echo   so.addVariable^('volume','50'^);
  echo   so.addVariable^('stretching','uniform'^);
rem  echo   so.addVariable^('autostart','true'^);
  echo   so.write^('mediaspace'^);
  echo ^</script^>
  echo;
  echo ^<h6^>Powered by ^<a href="http://www.longtailvideo.com/players/jw-flv-player/" target="_blank"^>JW Player^</a^>^</h6^>
  echo;
  echo ^<hr^>
  echo;
  echo ^<div class="table"^>
  echo ^<table border=2 summary=""^>
  echo   ^<caption^>^<h3^>^</h3^>^</caption^>
  echo   ^<tr align=center^>
  echo  ^<td^>t@C
  echo  ^<td^>%~nx1
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo   ^<td^>tH_
  echo   ^<td^>%~dp1
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>𑜓x
  echo   ^<td^>%IN_WIDTH%x%IN_HEIGHT%
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>AXyNg
  echo  ^<td^>%ASPECT%
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>Đ
  echo  ^<td^>%DURATION%
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>t[[g
  echo  ^<td^>%FPS%fps
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>rbg[g
  echo  ^<td^>%T_BITRATE%kbps ^(f%V_BITRATE%kbpsA%A_BITRATE%kbps^)
  echo   ^</tr^>
  echo   ^<tr align=center^>
  echo  ^<td^>t@Ce
  echo  ^<td^>^<script type="text/javascript" src="%SIZE_JS%"^>^</script^>MB
  echo   ^</tr^>
  echo ^</table^>
  echo ^</div^>
  echo YĂꍇ́Ảwavt@Cp^<br^>
  echo wavGR[hĂłmp4ƈꏏɁyɓD^&amp^;Dz.batɃhbvĂˁB^<br^>
  echo ̎AvZbgsIƎԂZkłB^<br^>
  echo ^<hr^>
  echo ^</center^>
  echo;
  echo ^</td^>
  echo ^<td class="menu" valign="top" width="220"^>
  echo ^<p^>^<a href="%HTML_FILE1%"^>Zero Watcho[WɕύX^</a^>^</p^>
  echo ̃vC[͎኱JNJN邯ǃjRjRƁuقځvI^<br^>
  echo iԂmF@͂ςjRjRւ̉Abv[hȂ񂾂ǂˁj^<br^>
  echo  ㉺Eɍ̈悪ꍇ邯ǃvC[̎dlCɂȂł
  echo ^<hr^>
  echo ^<center^>QlNW^</center^>
  echo ^<ul style="layout-grid-line: 0.5em;"^>
  echo ^<li^>^<a href="http://www43.atwiki.jp/tdenc/" target="_blank" class="new"^>ł񂱂܂Ƃwiki^</a^>^</li^>
  echo ^<li^>^<a href="http://nicowiki.com/" target="_blank" class="new"^>jRjR܂Ƃwiki^</a^>^</li^>
  echo ^<li^>^<a href="http://help.nicovideo.jp/cat22/" title="擊eɂ - jRjR wv" target="_blank" class="new"^>jRjR ewv^</a^>^</li^>
  echo ^<li^>^<a href="http://bit.ly/JjTkTp" title="YouTube :𑜓xƃrbg[g  " target="_blank" class="new"^>YouTube 𑜓x ^</a^>^</li^>
  echo ^<li^>^<a href="http://nikokara.web.fc2.com/encode2.html" title="ԐF̗򉻂ɂ - ۂՂ̎" target="_blank" class="new"^>MP4̐ԐF򉻖^</a^>^</li^>
  echo ^<li^>^<a href="http://togetter.com/li/287345" title="ł񂱍ŏIŃ[XƃGR[hɊւ邠ꂱ - togetter" target="_blank" class="new"^>Krbg[gƂ^</a^>^</li^>
  echo ^<li^>^<a href="http://goldenhige.cocolog-nifty.com/blog/2012/04/flashplayer1122.html" title="FlashPlayer11.2.202.228ŔƑΏ@ - ܂悤̕E" target="_blank" class="new"^>FlashPlayer̍ĐƑΏ@^</a^>^</li^>
  echo ^<li^>^<a href="http://chround30.blog.fc2.com/blog-entry-18.html" title="ł񂱂gpȒPȉ̂Ă݂쐬菇 - p_CXPW" target="_blank" class="new"^>ł񂱂gpȒPȉ̂Ă݂쐬菇^</a^>^</li^>
  echo ^</ul^>
  echo ^</td^>
  echo ^</table^>
  echo ^</center^>
  echo;
  echo ^<center^>
  echo ^<FORM^>^<TEXTAREA rows="2" cols="120" onmouseover="this.select()"^>%MOVIE_FILE%^</TEXTAREA^>^</FORM^>
  echo ^<p^>^<a href="http://www.upload.nicovideo.jp/upload" target="_blank"^>jRjRɓ𓊍e^</a^>^</p^>
  echo ^</center^>
  echo;
  echo ^</body^>
  echo ^</html^>
)> %HTML_FILE2%

if /i "%PLAYER_MODE%"=="ZERO" (
  set HTML_FILE=%HTML_FILE1% 
) else (
  set HTML_FILE=%HTML_FILE2% 
)
echo;


start rundll32 url.dll,FileProtocolHandler "%HTML_FILE%"
